[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TReader.ReadSet

Read a set value from the stream

## Declaration

Source position: classesh.inc line 1279

`public function TReader.ReadSet(`
`EnumType: Pointer`
`):Integer;`

## Description

ReadSet reads a set of elements with type EnumType and returns them as an integer where each element is encoded in a bit of the integer. Thus, at most an enumerated type with 32 elements can be read with this function.

## Errors

No checking is performed on the validity of EnumType. It is assumed to be a valid PTypeInfo pointer.

## See also

TWriter.WriteSet |  | Write a set value to the stream

Documentation generated on: Feb 26 2014